Name: xdrawchem
Version: 1.7.6
Release: alt1
%define fullname %name-%version
License: GPL
Group: Sciences/Chemistry
Url: http://www.prism.gatech.edu/~gte067k/xdrawchem
Summary: XDrawChem is a two-dimensional molecule drawing program
Summary(ru_RU.KOI8-R): XDrawChem --    

Source: %fullname.tgz

# Automatically added by buildreq on Thu Jul 17 2003
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel-static libaudio libexpat libjpeg liblcms libmng libqt3-devel libstdc++-devel pkgconfig libopenbabel-devel >= 1.100.1-alt1

%description
XDrawChem is a two-dimensional molecule drawing program for Unix
operating systems.  It is similar in functionality to other molecule
drawing programs such as ChemDraw (TM, CambridgeSoft).  It can read
and write MDL Molfiles and CML files to allow sharing between
XDrawChem and other chemistry applications.

%description -l ru_RU.KOI8-R
XDrawChem --       
  Unix.      
 ,   ChemDraw (TM, CambridgeSoft).  
    MDL Molfiles  CML,   
XDrawChem      .

%prep
%setup -q

%build
export QTDIR="%_libdir/qt3"
export PATH=%_libdir/qt3/bin:$PATH
export CFLAGS="-I$QTDIR/include %optflags"
export CXXFLAGS="-I$QTDIR/include %optflags"
#export LDFLAGS="-L$QTDIR/lib"
%configure --with-qt-thread=no
%make_build

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_datadir/%name
install -m 755 xdrawchem/xdrawchem %buildroot%_bindir
install -m 644 ring/xdrawchemrc %buildroot%_datadir/%name
install -m 644 ring/*.xpm %buildroot%_datadir/%name
install -m 644 ring/*.cml %buildroot%_datadir/%name
install -m 644 ring/*.qm %buildroot%_datadir/%name

#%post
#%update_menus
#
#%postun
#%clean_menus

%files
%doc doc/*.txt doc/*.html doc/*.png README.txt TODO.txt INSTALL.txt
%_bindir/*
%_datadir/*
#%_menudir/%name

%changelog
* Wed Nov 26 2003 Ott Alex <ott@altlinux.ru> 1.7.6-alt1
- New version

* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 1.7.5-alt1
- New version

* Fri Sep 05 2003 Ott Alex <ott@altlinux.ru> 1.7.4-alt2
- fixing spec

* Sun Aug 03 2003 Ott Alex <ott@altlinux.ru> 1.7.4-alt1
- New release

* Thu Jul 17 2003 Ott Alex <ott@altlinux.ru> 1.7.3-alt1
- New release

* Mon Jun 02 2003 Ott Alex <ott@altlinux.ru> 1.7.1-alt1
- Initial build

